# -*- coding: utf_8 -*-
from __future__ import with_statement
print "b282"
os.chdir("/Users/wstein/.sage/sage_notebook/worksheets/admin/127/cells/37")
sage.server.notebook.interact.SAGE_CELL_ID=37
_sage_const_9 = Integer(9); _sage_const_4 = Integer(4)
@interact
def f(ticker='IVV', start=['Jan+1,+2000', 'Jan+1,+2005', 'Jan+1,+2007',  'Jan+1,+2008', 'Jan+1,+2009']):
    print "Closing price of %s since %s (if the stock goes back that far)"%(ticker.upper(),start)
    try:
       S = finance.Stock(ticker)
       T = S.close(startdate=start)
    except RuntimeError:
        print "unable to get data about %s"%ticker
        return
    show(T.plot(), frame=True, figsize=[_sage_const_9 ,_sage_const_4 ])
    R = T.log().diffs()
    show(R.plot_histogram())
    print "Mean =", R.mean()
    print "Standard deviation = ", R.standard_deviation()

print "e282"
