# -*- coding: utf_8 -*-
from __future__ import with_statement
print "b457"
os.chdir("/Users/wstein/.sage/sage_notebook/worksheets/admin/127/cells/37")
sage.server.notebook.interact.SAGE_CELL_ID=37
_sage_const_3 = Integer(3); _sage_const_2 = Integer(2); _sage_const_1 = Integer(1); _sage_const_8 = Integer(8)
@interact
def f(ticker='IVV', start=['Jan+1,+1990', 'Jan+1,+2000', 'Jan+1,+2007',  'Jan+1,+2008', 'Jan+1,+2009']):
    print "Closing price of %s since %s (if the stock goes back that far)"%(ticker.upper(),start)
    try:
       S = finance.Stock(ticker)
       T = S.close(startdate=start)
    except RuntimeError:
        print "unable to get data about %s"%ticker
        return

    R = T.log().diffs()
    mu = R.mean()
    sigma = R.standard_deviation()
    print "Mean =", mu
    print "Standard deviation = ", sigma
    G = R.plot_histogram() + plot(normal(mu, sigma), (x,min(R),max(R)),rgbcolor='black', thickness=_sage_const_3 )
    print "KS test = ", kstest(R, mu, sigma)
    show(graphics_array([T.plot(), G], _sage_const_1 ,_sage_const_2 ), figsize=[_sage_const_8 ,_sage_const_3 ])

print "e457"
